summaryrefslogtreecommitdiff
path: root/dev-python/xstatic
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/xstatic')
-rw-r--r--dev-python/xstatic/Manifest1
-rw-r--r--dev-python/xstatic/metadata.xml12
-rw-r--r--dev-python/xstatic/xstatic-1.0.2.ebuild23
3 files changed, 36 insertions, 0 deletions
diff --git a/dev-python/xstatic/Manifest b/dev-python/xstatic/Manifest
new file mode 100644
index 000000000000..afbd3629184c
--- /dev/null
+++ b/dev-python/xstatic/Manifest
@@ -0,0 +1 @@
+DIST xstatic-1.0.2.tar.gz 12267 BLAKE2B 61951a8edd83e7182d1b377c172b0856b45e90772d4873c9d5aff545f955d9e7bb09f989dcccf0260b1b6d6cf197f0c5b8e01895d2c2a2591d848a103c1a388c SHA512 4d810bfe072134e461bfa1f0114c7355c7ac2204154c81c5eb184aba2d72b7d0ef05fac5531eeef23605468b0c91a70ae54990910dea5eb005c894fe3502318a
diff --git a/dev-python/xstatic/metadata.xml b/dev-python/xstatic/metadata.xml
new file mode 100644
index 000000000000..103ce9e52ca2
--- /dev/null
+++ b/dev-python/xstatic/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>dev@liguros.net</email>
+ <name>Development</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">XStatic</remote-id>
+ </upstream>
+ <origin>kit-fixups</origin>
+</pkgmetadata>
diff --git a/dev-python/xstatic/xstatic-1.0.2.ebuild b/dev-python/xstatic/xstatic-1.0.2.ebuild
new file mode 100644
index 000000000000..32490fbc622b
--- /dev/null
+++ b/dev-python/xstatic/xstatic-1.0.2.ebuild
@@ -0,0 +1,23 @@
+# Copyright 2020 Liguros Authors
+# Distributed under the terms of the GNU General Public License v2
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="XStatic base package with minimal support code"
+HOMEPAGE="https://pypi.org/project/XStatic"
+SRC_URI="https://github.com/xstatic-py/xstatic/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_install() {
+ distutils-r1_python_install
+ find "${ED}" -name '*.pth' -delete || die
+}